# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/sony,acx565akm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sony ACX565AKM SDI Panel

description: |
  The panel must obey the rules for a SPI slave device as specified in
  spi/spi-controller.yaml

maintainers:
  - Tomi Valkeinen <tomi.valkeinen@ti.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: sony,acx565akm

  label: true
  reset-gpios: true
  port: true

required:
  - compatible
  - port

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@2 {
            compatible = "sony,acx565akm";
            spi-max-frequency = <6000000>;
            reg = <2>;

            label = "lcd";
            reset-gpios = <&gpio3 26 GPIO_ACTIVE_HIGH>; /* 90 */

            port {
                lcd_in: endpoint {
                    remote-endpoint = <&sdi_out>;
                };
            };
        };
    };

...
